# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "fcars"
version = "0.2.1"
authors = ["Ben Spitz <diracdeltafunk@users.noreply.github.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Rust library (and binary) for Formal Concept Analysis."
homepage = "https://github.com/diracdeltafunk/fcars"
readme = "README.md"
keywords = [
    "fca",
    "formal-concept",
    "lattice",
]
categories = ["mathematics"]
license = "MIT"
repository = "https://github.com/diracdeltafunk/fcars"

[features]
random = ["dep:rand"]

[lib]
name = "fcars"
path = "src/lib.rs"

[[bin]]
name = "fcars"
path = "src/bin/fcars.rs"

[[bench]]
name = "pcbo"
path = "benches/pcbo.rs"
harness = false

[dependencies.bitvec]
version = "1.0.1"

[dependencies.rand]
version = "0.9.2"
optional = true

[dependencies.rayon]
version = "1.11.0"

[dev-dependencies.criterion]
version = "0.5"
